import 'package:json_annotation/json_annotation.dart';

part 'racks_list_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class RacksListBean {
  int? id;
  int? roomId;
  int? sequenceNumber;
  String? rackName;
  int? frameCount;
  String? createdAt;
  String? updatedAt;

  RacksListBean(this.id, this.roomId, this.sequenceNumber, this.rackName, this.frameCount, this.createdAt, this.updatedAt);

  factory RacksListBean.fromJson(Map<String, dynamic> json) => _$RacksListBeanFromJson(json);

  Map<String, dynamic> toJson() => _$RacksListBeanToJson(this);
}
